## libx86-1.1.tar.gz

=== Makefile ===
OBJECTS = x86-common.o
CFLAGS ?= -O2 -Wall -DDEBUG -g
LIBDIR ?= /usr/lib

ifeq ($(BACKEND),x86emu)
	OBJECTS += thunk.o x86emu/decode.o x86emu/debug.o x86emu/fpu.o \
	x86emu/ops.o x86emu/ops2.o x86emu/prim_ops.o x86emu/sys.o
else
	OBJECTS += lrmi.o
endif

ifeq ($(LIBRARY),shared)
	CFLAGS += -fPIC
endif

default:
	$(MAKE) LIBRARY=static static
	$(MAKE) objclean
	$(MAKE) LIBRARY=shared shared

static: $(OBJECTS)
	$(AR) cru libx86.a $(OBJECTS)

shared: $(OBJECTS)
	$(CC) $(CFLAGS) -o libx86.so.1 -shared -Wl,-soname,libx86.so.1 $(OBJECTS)

objclean:
	$(MAKE) -C x86emu clean
	rm -f *.o *~

clean: objclean
	rm -f *.so.1 *.a

install: libx86.so.1
	install -D libx86.so.1 $(DESTDIR)$(LIBDIR)/libx86.so.1
	install -D libx86.a $(DESTDIR)$(LIBDIR)/libx86.a
	ln -sf libx86.so.1 $(DESTDIR)$(LIBDIR)/libx86.so
	install -p -m 0644 -D lrmi.h $(DESTDIR)/usr/include/libx86.h

=== debian/changelog ===
libx86 (1.1-0) hardy; urgency=low

  * Add makefile fixes from Till Maas
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 19 May 2008 10:29:55 +0100

libx86 (1.0-0) hardy; urgency=low

  * Add PROT_EXEC to the mmap of the ROM

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 16 May 2008 18:06:04 +0100

libx86 (0.99-1.2ubuntu4) hardy; urgency=low

  * thunk.c: clean up duplicate DEBUG define to fix powerpc FTBFS.

 -- Kees Cook <kees@ubuntu.com>  Wed, 02 Apr 2008 17:47:21 -0700

libx86 (0.99-1.2ubuntu3) hardy; urgency=low

  * Add xorg upstream fixes for cpuid, rdtsc, bsr, bsf opcodes, from upstream
    http://gitweb.freedesktop.org/?p=xorg/xserver.git (LP: #147623).
    - 66fa87292ef26bd0f464481287f3af992cd5741c
    - c4b7e9d1c16797c3e4b1200b40aceab5696a7fb8
    - 2fe74ef339c3a4902ae8214f5a0454662895422c
    - 66f8001b61d12eaf4905ac71ccbb3f304914d00d

 -- Kees Cook <kees@ubuntu.com>  Fri, 21 Mar 2008 19:12:37 -0700

libx86 (0.99-1.2ubuntu2) gutsy; urgency=low

  * Handle reading addresses that are outside the process range with the 
    x86emu backend - vm86 support is rather more complicated, so not 
    implemented yet.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 24 Sep 2007 01:15:59 +0100

libx86 (0.99-1.2ubuntu1) gutsy; urgency=low

  * Build package for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 19:28:11 +0000

libx86 (0.99-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Move libx86.so.1 to /lib
    (https://launchpad.net/ubuntu/+source/libx86/+bug/83920).

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Feb 2007 09:08:05 +0000

libx86 (0.99-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer consent.
  * debian/rules, Makefile: Fix some misuses of make that prevented x86emu
    from being used on amd64 systems.

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Feb 2007 16:01:55 +0000

libx86 (0.99-1) unstable; urgency=low

  * Initial release

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 29 Oct 2006 18:43:31 +0000

=== debian/control ===
Source: libx86
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libx86-dev
Section: libdevel
Architecture: any
Depends: libx86-1 (= ${Source-Version})
Description: x86 real-mode library - development files
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 . 
 This package contains the development files for libx86.

Package: libx86-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x86 real-mode library
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring $(DEB_HOST_ARCH),i386 lpia))
	BACKEND =
else
	BACKEND = x86emu
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) BACKEND="$(BACKEND)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
